import React from 'react';
import "@/components/tiptap-node/code-block-node/code-block-node.scss";
import "@/components/tiptap-node/list-node/list-node.scss";
import "@/components/tiptap-node/image-node/image-node.scss";
import "@/components/tiptap-node/paragraph-node/paragraph-node.scss";
import "@/components/tiptap-node/table-node/table-node.scss";
import './TiptapEditor.scss';
export interface TiptapEditorProps {
    /** Initial content for the editor (HTML string) */
    content?: string;
    /** Function to handle image uploads */
    handleImageUpload: (file: File, onProgress?: (event: {
        progress: number;
    }) => void, abortSignal?: AbortSignal) => Promise<string>;
    /** Maximum file size for image uploads (in bytes) */
    maxImageFileSize?: number;
    /** Custom placeholder for the editor */
    placeholder?: string;
    /** Maximum number of image uploads allowed */
    imageUploadLimit?: number;
    /** Acceptable image file types */
    acceptedImageTypes?: string;
    /** Error handler for image uploads */
    onImageUploadError?: (error: Error) => void;
    /** Success handler for image uploads */
    onImageUploadSuccess?: (url: string) => void;
    /** Callback when editor content changes */
    onChange?: (html: string) => void;
    /** Editor is read-only */
    editable?: boolean;
    /** Autofocus the editor on mount */
    autofocus?: boolean;
    /** CSS class name to apply to the editor wrapper */
    className?: string;
    /** Show/hide toolbar */
    showToolbar?: boolean;
    /** Specify which toolbar items to show */
    toolbarConfig?: {
        showHeadings?: boolean;
        showLists?: boolean;
        showBlockquote?: boolean;
        showTable?: boolean;
        showCodeBlock?: boolean;
        showFormattingOptions?: boolean;
        showAlignment?: boolean;
        showImageUpload?: boolean;
        showUndoRedo?: boolean;
    };
}
declare const TiptapEditor: React.FC<TiptapEditorProps>;
export default TiptapEditor;
