import * as React from "react";
import { FloatingPortal } from "@floating-ui/react";
import "@/components/tiptap-ui-primitive/dropdown-menu/dropdown-menu.scss";
interface DropdownMenuOptions {
    initialOpen?: boolean;
    open?: boolean;
    onOpenChange?: (open: boolean) => void;
    side?: "top" | "right" | "bottom" | "left";
    align?: "start" | "center" | "end";
}
interface DropdownMenuProps extends DropdownMenuOptions {
    children: React.ReactNode;
}
export declare function DropdownMenu({ children, ...options }: DropdownMenuProps): import("react/jsx-runtime").JSX.Element;
interface DropdownMenuTriggerProps extends React.ButtonHTMLAttributes<HTMLButtonElement> {
    asChild?: boolean;
}
export declare const DropdownMenuTrigger: React.ForwardRefExoticComponent<DropdownMenuTriggerProps & React.RefAttributes<HTMLButtonElement>>;
interface DropdownMenuContentProps extends React.HTMLAttributes<HTMLDivElement> {
    orientation?: "vertical" | "horizontal";
    side?: "top" | "right" | "bottom" | "left";
    align?: "start" | "center" | "end";
    portal?: boolean;
    portalProps?: Omit<React.ComponentProps<typeof FloatingPortal>, "children">;
}
export declare const DropdownMenuContent: React.ForwardRefExoticComponent<DropdownMenuContentProps & React.RefAttributes<HTMLDivElement>>;
interface DropdownMenuItemProps extends React.HTMLAttributes<HTMLDivElement> {
    asChild?: boolean;
    disabled?: boolean;
    onSelect?: () => void;
}
export declare const DropdownMenuItem: React.ForwardRefExoticComponent<DropdownMenuItemProps & React.RefAttributes<HTMLDivElement>>;
interface DropdownMenuGroupProps extends React.HTMLAttributes<HTMLDivElement> {
    label?: string;
}
export declare const DropdownMenuGroup: React.ForwardRefExoticComponent<DropdownMenuGroupProps & React.RefAttributes<HTMLDivElement>>;
export declare const DropdownMenuSeparator: React.ForwardRefExoticComponent<Omit<import("@/components/tiptap-ui-primitive/separator").SeparatorProps & React.RefAttributes<HTMLDivElement>, "ref"> & React.RefAttributes<HTMLDivElement>>;
export {};
