import * as React from "react";
import { FloatingPortal } from "@floating-ui/react";
import "@/components/tiptap-ui-primitive/popover/popover.scss";
interface PopoverOptions {
    initialOpen?: boolean;
    modal?: boolean;
    open?: boolean;
    onOpenChange?: (open: boolean) => void;
    side?: "top" | "right" | "bottom" | "left";
    align?: "start" | "center" | "end";
}
interface PopoverProps extends PopoverOptions {
    children: React.ReactNode;
}
declare function Popover({ children, modal, ...options }: PopoverProps): import("react/jsx-runtime").JSX.Element;
interface TriggerElementProps extends React.HTMLProps<HTMLElement> {
    asChild?: boolean;
}
declare const PopoverTrigger: React.ForwardRefExoticComponent<Omit<TriggerElementProps, "ref"> & React.RefAttributes<HTMLElement>>;
interface PopoverContentProps extends React.HTMLProps<HTMLDivElement> {
    side?: "top" | "right" | "bottom" | "left";
    align?: "start" | "center" | "end";
    portal?: boolean;
    portalProps?: Omit<React.ComponentProps<typeof FloatingPortal>, "children">;
}
declare const PopoverContent: React.ForwardRefExoticComponent<Omit<PopoverContentProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export { Popover, PopoverTrigger, PopoverContent };
