import * as React from "react";
import { type Editor } from "@tiptap/react";
import type { ButtonProps } from "@/components/tiptap-ui-primitive/button";
import "@/components/tiptap-ui/highlight-popover/highlight-popover.scss";
export interface HighlightColor {
    label: string;
    value: string;
    border?: string;
}
export interface HighlightContentProps {
    editor?: Editor | null;
    colors?: HighlightColor[];
    onClose?: () => void;
}
export interface HighlightPopoverProps extends Omit<ButtonProps, "type"> {
    /** The TipTap editor instance. */
    editor?: Editor | null;
    /** The highlight colors to display in the popover. */
    colors?: HighlightColor[];
    /** Whether to hide the highlight popover when unavailable. */
    hideWhenUnavailable?: boolean;
}
export declare const DEFAULT_HIGHLIGHT_COLORS: HighlightColor[];
export declare const HighlighterButton: React.ForwardRefExoticComponent<ButtonProps & React.RefAttributes<HTMLButtonElement>>;
export declare function HighlightContent({ editor: providedEditor, colors, onClose, }: HighlightContentProps): import("react/jsx-runtime").JSX.Element;
export declare function HighlightPopover({ editor: providedEditor, colors, hideWhenUnavailable, ...props }: HighlightPopoverProps): import("react/jsx-runtime").JSX.Element | null;
export default HighlightPopover;
