import * as React from "react";
import { type Editor } from "@tiptap/react";
import type { ButtonProps } from "@/components/tiptap-ui-primitive/button";
export interface ImageUploadButtonProps extends ButtonProps {
    editor?: Editor | null;
    text?: string;
    extensionName?: string;
}
export declare function isImageActive(editor: Editor | null, extensionName: string): boolean;
export declare function insertImage(editor: Editor | null, extensionName: string): boolean;
export declare function useImageUploadButton(editor: Editor | null, extensionName?: string, disabled?: boolean): {
    isActive: boolean;
    handleInsertImage: () => boolean;
};
export declare const ImageUploadButton: React.ForwardRefExoticComponent<ImageUploadButtonProps & React.RefAttributes<HTMLButtonElement>>;
export default ImageUploadButton;
