/**
 * Converts a File to a base64 string
 * @param file The file to convert
 * @param abortSignal Optional AbortSignal for cancelling the conversion
 * @returns Promise resolving to the base64 representation of the file
 */
export declare const convertFileToBase64: (file: File, abortSignal?: AbortSignal) => Promise<string>;
/**
 * Default implementation for image upload that converts the image to base64.
 * Use this as a fallback when no upload function is provided.
 */
export declare const defaultImageUpload: (file: File, onProgress?: (event: {
    progress: number;
}) => void, abortSignal?: AbortSignal) => Promise<string>;
export declare const DEFAULT_MAX_FILE_SIZE: number;
